Get Annotation Queue
curl --request GET \
--url https://api.galileo.ai/v2/annotation_queues/{queue_id} \
--header 'Galileo-API-Key: <api-key>'import requests
url = "https://api.galileo.ai/v2/annotation_queues/{queue_id}"
headers = {"Galileo-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Galileo-API-Key': '<api-key>'}};
fetch('https://api.galileo.ai/v2/annotation_queues/{queue_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"created_by_user": {
"id": "<string>",
"email": "<string>",
"first_name": "<string>",
"last_name": "<string>"
},
"permissions": [],
"num_log_records": 0,
"num_annotators": 0,
"num_users": 0,
"num_templates": 0,
"num_logs_annotated": {},
"progress": {},
"overall_progress": 123,
"templates": [
{
"name": "<string>",
"include_explanation": true,
"constraints": {
"annotation_type": "<string>"
},
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"position": 123,
"usage_count": 123,
"criteria": "<string>"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}annotation_queue
Get Annotation Queue
Get an annotation queue by ID with templates and counts.
GET
/
v2
/
annotation_queues
/
{queue_id}
Get Annotation Queue
Authorizations
ClassicAPIKeyHeaderAPIKeyHeaderOAuth2PasswordBearerHTTPBasic
Path Parameters
Response
Successful Response
A user's basic information, used for display purposes.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I